# EXTSeparateShaderObjects (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class EXTSeparateShaderObjects

    java.lang.Object
      org.lwjgl.opengl.EXTSeparateShaderObjects

    public final class EXTSeparateShaderObjects

extends java.lang.Object

Field Summary
`static int` `GL_ACTIVE_PROGRAM_EXT` Accepted by <type> parameter to GetIntegerv and GetFloatv:

Method Summary
`static void` `glActiveProgramEXT(int program)`
`static int` `glCreateShaderProgramEXT(int type, java.nio.ByteBuffer string)`
`static int` `glCreateShaderProgramEXT(int type, java.lang.CharSequence string)` Overloads glCreateShaderProgramEXT.
`static void` `glUseShaderProgramEXT(int type, int program)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_ACTIVE_PROGRAM_EXT

    public static final int GL_ACTIVE_PROGRAM_EXT

  Accepted by <type> parameter to GetIntegerv and GetFloatv:

  See Also:
    Constant Field Values

Method Detail

### glUseShaderProgramEXT

    public static void glUseShaderProgramEXT(int type,
                                             int program)

### glActiveProgramEXT

    public static void glActiveProgramEXT(int program)

### glCreateShaderProgramEXT

    public static int glCreateShaderProgramEXT(int type,
                                               java.nio.ByteBuffer string)

### glCreateShaderProgramEXT

    public static int glCreateShaderProgramEXT(int type,
                                               java.lang.CharSequence string)

  Overloads glCreateShaderProgramEXT.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.